﻿using System;
using System.Collections.Generic;
using System.Text;

namespace VEarth
{
    public enum ShapeType
    {
        Polyline = 0,
        Polygon = 1
    }

    /// <summary>
    /// Enum of handling possibilities for disambiguatious search results
    /// </summary>
    public enum Disambiguation
    {
        Default = 1,
        Ignore = 0
    }

    /// <summary>
    /// Enum of possible route optimizations when getting driving directions
    /// </summary>
    public enum RouteOptimize
    {
        Time = 0,
        Distance = 1
    }

    /// <summary>
    /// Enum of available distinance units
    /// </summary>
    public enum DistanceUnit
    {
        Kilometers = 0,
        Miles = 1
    }

    /// <summary>
    /// Enum of available route modes
    /// </summary>
    public enum RouteModeEnum
    {
        Walking = 0,
        Driving = 1
    }

    /// <summary>
    /// Enum of available map styles
    /// </summary>
    public enum MapStyle
    {
        Road = 0,
        Aerial = 1,
        Birdseye = 2,
        Hybrid = 3
    }

    /// <summary>
    /// Enum of available dashboard sizes
    /// </summary>
    public enum DashboardStyle
    {
        Tiny = 0,
        Small = 1,
        Normal = 2
    }
}
